#1946 closed enhancement (wontfix)

Asymmetric SMP mega-patch

Reported by: Jennifer Averett Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: ralf.corsepius@…, sebastian.huber@…, gedare@…, marta.rybczynska@…, fred@… Blocked By:
Blocking:

Description

The following patch is being submitted by Marta Rybczynska and is against a version of the head dated May 23 2011. It contains modifications to add asymmetric smp code. It needs to be brought in line with the head and broken into smaller chunks that are easier to review.

Attachments (3)

smp_patch_cpukit.diff.gz (41.2 KB) - added by Jennifer Averett on Oct 26, 2011 at 5:36:22 PM.
Asymmetric SMP mega-patch
rtems_mainline_cpukit_01_11_patch.diff.gz (43.5 KB) - added by Marta Rybczynska on Nov 2, 2011 at 3:25:47 PM.
Updated version (just cpukit)
rtems_mainline_bsp_sparc.diff (1.0 KB) - added by Marta Rybczynska on Nov 2, 2011 at 3:27:39 PM.
SPARC BSP changes to fit the changes in the main patch

Download all attachments as: .zip

Change History (11)

Changed on Oct 26, 2011 at 5:36:22 PM by Jennifer Averett

Attachment: smp_patch_cpukit.diff.gz added

Asymmetric SMP mega-patch

comment:1 Changed on Oct 27, 2011 at 6:14:23 AM by Sebastian Huber

attachments.ispatch: 10
attachments.mimetype: text/plainapplication/gzip

comment:2 Changed on Oct 27, 2011 at 7:07:04 AM by Frederic Brault

Cc: frederic.brault@… added

comment:3 Changed on Oct 27, 2011 at 8:48:19 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:4 Changed on Oct 27, 2011 at 9:25:22 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:5 Changed on Oct 27, 2011 at 11:08:28 PM by Gedare Bloom

Cc: giddyup44@… added
dependson: 1455, 1809, 1910

Changed on Nov 2, 2011 at 3:25:47 PM by Marta Rybczynska

Updated version (just cpukit)

comment:6 Changed on Nov 2, 2011 at 3:25:47 PM by Marta Rybczynska

attachments.isobsolete: 01

Changed on Nov 2, 2011 at 3:27:39 PM by Marta Rybczynska

SPARC BSP changes to fit the changes in the main patch

comment:7 Changed on Dec 3, 2013 at 2:23:01 PM by Sebastian Huber

Resolution: wontfix
Status: newclosed

The RTEMS SMP implementation changed considerably in the mean time.

comment:8 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.